﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model SSCMvc.Models.MaAdmission
@{
    ViewBag.Title = "Create";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@using System.Web.UI.WebControls
@section scripts
{
   
<script src="~/Scripts/jquery.validate.min.js"></script>

    @Content.Script("PreventDouble.js", Url)

    <script type="text/javascript">

        window.history.forward();
        function noBack() { window.history.forward(); }


        $(document).ready(function () {

            $("#btnsubmit").click(function () {
                $("#admform").validate({

                    submitHandler: function (form) {
                        // disable your button here
                        form.submit();
                        $("#btnsubmit").prop('disabled', true);

                    },
                    invalidHandler: function () {
                        // re-enable the button here as validation has failed
                    }
                });
            });

            $("#file1").hide(); //delete after the implementation of silverlight application


            $("#FirstName").focus();


            $("#IELTSExmLearn").css('width', '90px');
            $("#IELTSExmRead").css('width', '90px');

            $("#IELTSExmWrit").css('width', '90px');
            $("#IELTSExmSpkn").css('width', '90px');


            $("#btnCancel").click(function () {
                window.location.href = "/MaAdmission/Index";

            });

            CheckIteltsDetailDiv();

            $("#WalkInDate").datepicker();

            $("#Month").datepicker();
            $("#DateOfExam").datepicker();
            $("#LastUpdatedDate").datepicker();
            $("#DOB").datepicker();



            $("#EnquiryIELAC").live("click", function () {
                if (this.checked || $("#EnquiryStyVisa").attr("checked") || $("#EnquiryIELGT").attr("checked")) {
                    $("#divexam").show();
                    //if IELTSAC is checked then enquiryspkeng is unchecked.
                    //$("#EnquirySpkEng").attr('checked', false);
                }
                else {

                    $("#divexam").hide();
                }
            });
            $("#EnquiryIELGT").live("click", function () {
                if (this.checked || $("#EnquiryStyVisa").attr("checked") || $("#EnquiryIELAC").attr("checked")) {
                    $("#divexam").show();
                    //if IELTSAC is checked then enquiryspkeng is unchecked.
                    //$("#EnquirySpkEng").attr('checked', false);
                }
                else {

                    $("#divexam").hide();
                }
            });

            $("#EnquiryStyVisa").live("click", function () {
                if (this.checked || $("#EnquiryIELGT").attr("checked") || $("#EnquiryIELAC").attr("checked")) {
                    $("#divexam").show();
                    //if IELTSAC is checked then enquiryspkeng is unchecked.
                    //$("#EnquirySpkEng").attr('checked', false);
                }
                else {

                    $("#divexam").hide();
                }
            });


        });



        $("#EnqAbt").change(function () {


            CheckIteltsDetailDiv();
        })

        function CheckIteltsDetailDiv() {


            var val = $("#EnqAbt").val();


            if (val == "IELTS" || val == "VISA") {

                $("#divexam").show();

            }
            else {

                $("#divexam").hide();
            }


        }


        $("#CourseId").change(function () {

            var idCourse = $(this).val();
            $.getJSON("/MaAdmission/LoadGroupByCourse", { id: idCourse },
   function (modelData) {

       var select = $("#ie");
       select.empty();
       select.append($('<option value="">Select Group</option>'));

       $.each(modelData, function (index, itemData) {


           select.append($('<option/>', {

               value: itemData.Value,
               text: itemData.Text,

           }));
       });
   });
        });

    </script>
    <script type="text/javascript">

        $("#btnsubmit").click(function () {
            var stype = $("#Source").val();
            if (stype == "Any Other") {
                if ($("#Other").val() == "") {
                    alert("Please Fill Value For Other Source");
                }
                else {
                    $("#admform").submit();
                }
            }
            else {
                $("#admform").submit();
            }
        });



        deleterecord("MaAdmission");



        /*-------------- band calculations-----------------*/

        $("#IELTSExmRead").blur(function () {
            calbands();

        });

        $("#IELTSExmLearn").blur(function () {
            calbands();
        });

        $("#IELTSExmWrit").blur(function () {
            calbands();
        });

        $("#IELTSExmSpkn").blur(function () {
            calbands();
        });


        function calbands() {
            var value1 = $("#IELTSExmLearn").val();

            if (value1 == "") {

                value1 = 0;
            }

            var value2 = $("#IELTSExmWrit").val();
            if (value2 == "") {

                value2 = 0;
            }

            var value3 = $("#IELTSExmSpkn").val();

            if (value3 == "") {

                value3 = 0;
            }

            var value4 = $("#IELTSExmRead").val();

            if (value4 == "") {

                value4 = 0;
            }

            var sum = parseFloat((parseFloat(value1) + parseFloat(value2) + parseFloat(value3) + parseFloat(value4)));


            var ovr = overallband(sum);

            $("#IELTSExmOverall").val(ovr);
        }

        /*-------------- band calculations ends-----------------*/



    </script>
    <script type="text/javascript">

        jQuery.validator.unobtrusive.adapters.add("dropdown", function (options) {
            if (options.element.tagName.toUpperCase() == "SELECT" && options.element.type.toUpperCase() == "SELECT-ONE") {
                options.rules["required"] = true;
                if (options.message) {
                    options.messages["required"] = options.message;
                }
            }
        });



    </script>
}
@using (Html.BeginForm("Create", "MaAdmission", FormMethod.Post, new { enctype = "multipart/form-data", @id = "admform", onload = "noBack();", onpageshow = "if (event.persisted) noBack();" }))
{
    @Html.ValidationSummary(true)

    <div class="header">
        <div class="stats">
        </div>
        <h1 class="page-title">
            Create Prosp. Students
        </h1>
    </div>
    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
        string refadd = CommonUtil.HomeAddress(utype);
        }
        <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
        <li class="active">Dashboard</li>
    </ul>
    <div class="container-fluid">
        <div class="row-fluid">
            <div class="btn-toolbar">
                <input type="button" value="Save" class="btn btn-primary" id="btnsubmit" />
                <input type="button" value="Cancel" class="btn btn-primary" id="btnCancel" />
                <div class="btn-group">
                </div>
            </div>
            <table style="width: 100%" align="center">
                <tr>
                    <span class="color_style">@ViewBag.ErrorMessage</span>
                    @if (ViewBag.Msg != null && ViewBag.Msg != "")
                    {
                        <td>
                            <span class="color_style">@ViewBag.Msg</span>
                        </td>
                    }
                </tr>
                <tr>
                    <td align="center">
                        All (<span class="color_style">*</span>) marked fields are compulsory
                    </td>
                </tr>
            </table>
            <div class="well">
                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        <form id="tab">
                            <table style="width: 700px" align="center">
                                <tr>
                                    <td>
                                        @Html.HiddenFor(model => model.IsLeft)
                                        <fieldset>
                                            <legend>General Detail</legend>
                                            <table style="width: 100%">
                                                <tr>
                                                    @{
    object enquiryid = ViewBag.Sid;

                                                    }
                                                    @Html.Hidden("Enquiryid", @enquiryid)
                                                    <td style="text-align: left">
                                                        <table style="text-align: left">
                                                            <tr>
                                                                <td>
                                                                    @Html.LabelFor(model => model.FirstName)
                                                                </td>
                                                                <td>
                                                                    <span class="color_style">*</span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td style="text-align: left">
                                                        @Html.EditorFor(model => model.FirstName)
                                                        @Html.ValidationMessageFor(model => model.FirstName)
                                                    </td>
                                                    <td style="text-align: left">
                                                        <table style="text-align: left">
                                                            <tr>
                                                                <td>
                                                                    @Html.LabelFor(model => model.LastName)
                                                                </td>
                                                                <td>
                                                                    <span class="color_style">*</span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td style="text-align: left">
                                                        @Html.EditorFor(model => model.LastName)
                                                        @Html.ValidationMessageFor(model => model.LastName)
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td style="text-align: left">
                                                        <table style="text-align: left">
                                                            <tr>
                                                                <td>
                                                                    @Html.LabelFor(model => model.DOB)
                                                                </td>
                                                                <td>
                                                                    <span class="color_style">*</span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td align="left">
                                                        @Html.EditorFor(model => model.DOB)
                                                        @Html.ValidationMessageFor(model => model.DOB)
                                                    </td>
                                                    <td style="text-align: left">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    Father's Name
                                                                </td>
                                                                <td>
                                                                    <span class="color_style">*</span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td>
                                                        @Html.EditorFor(model => model.FatherName)
                                                        @Html.ValidationMessageFor(model => model.FatherName)
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td style="text-align: left">
                                                        <table style="text-align: left">
                                                            <tr>
                                                                <td>
                                                                    @Html.LabelFor(model => model.RollNo)
                                                                </td>
                                                                <td>
                                                                    <span class="color_style">*</span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td>
                                                        Auto
                                                    </td>
                                                    <td style="text-align: left">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    @Html.LabelFor(model => model.Gender)
                                                                </td>
                                                                <td>
                                                                    <span class="color_style">*</span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td align="left">
                                                        <div>
                                                            @Html.RadioButtonFor(model => model.Gender, "Male") Male
                                                            @Html.RadioButtonFor(model => model.Gender, "Female") Female
                                                            @Html.ValidationMessageFor(model => model.Gender)
                                                        </div>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td valign="top" align="left">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    @Html.LabelFor(model => model.Address)
                                                                </td>
                                                                <td>
                                                                    <span class="color_style">*</span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td align="left">
                                                        @Html.EditorFor(model => model.Address)
                                                        @Html.ValidationMessageFor(model => model.Address)
                                                    </td>
                                                    <td align="left">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    @Html.LabelFor(model => model.Mobile)
                                                                </td>
                                                                <td>
                                                                    <span class="color_style">*</span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td align="left">
                                                        @Html.TextBoxFor(model => model.Mobile, new { MaxLength = "10", @required = "true" })
                                                        @Html.ValidationMessageFor(model => model.Mobile)
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td align="left">
                                                        @Html.LabelFor(model => model.AlternateNo)<span class="color_style">*</span>
                                                    </td>
                                                    <td align="left">
                                                        @Html.TextBoxFor(model => model.AlternateNo, new { MaxLength = "20",@required="true" })
                                                        @Html.ValidationMessageFor(model => model.AlternateNo)
                                                    </td>
                                                    <td align="left">
                                                        @Html.LabelFor(model => model.FacebookId)
                                                    </td>
                                                    <td align="left">
                                                        @Html.EditorFor(model => model.FacebookId)
                                                        @Html.ValidationMessageFor(model => model.FacebookId)
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td align="left">
                                                        @Html.LabelFor(model => model.EmailId)
                                                    </td>
                                                    <td align="left">
                                                        @Html.EditorFor(model => model.EmailId)
                                                        @Html.ValidationMessageFor(model => model.EmailId)
                                                    </td>
                                                    <td align="left">
                                                        @*Upload Photo*@
                                                    </td>
                                                    <td>
                                                        <input type="file" name="file1" id="file1" />
                                                        @Html.ValidationMessageFor(model => model.StudPhoto)
                                                    </td>
                                                </tr>
                                            </table>
                                        </fieldset>
                                        <br />
                                    </td>
                                </tr>
                            </table>
                            <div id="enquiry">
                                <table style="width: 700px" align="center">
                                    <tr>
                                        <td>
                                            <fieldset>
                                                <legend>Enquiry About</legend>
                                                <table style="width: 400px">
                                                    <tr>
                                                        <td align="left" style="width: 100px">
                                                            <label> Enquiry About <span class="color_style">*</span></label>
                                                        </td>
                                                        <td align="left" style="width: 40px" valign="top">
                                                            @Html.DropDownList("EnqAbt", "Select Enq About")
                                                            @Html.ValidationMessageFor(model => model.EnqAbt)
                                                        </td>
                                                    </tr>
                                                </table>
                                            </fieldset>
                                            <br />
                                        </td>
                                    </tr>
                                </table>
                            </div>
                            <table style="width: 700px" align="center">
                                <tr>
                                    <td>
                                        <fieldset>
                                            <legend>Other Detail</legend>
                                            <table width="100%">
                                                <tr>
                                                    <td align="left">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    @Html.LabelFor(model => model.WalkInType)
                                                                </td>
                                                                <td>
                                                                    <span class="color_style">*</span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td align="left">
                                                        @{
    var listItems = new List<ListItem>();
    listItems.Add(new ListItem { Text = "Direct", Value = "Direct" });
    listItems.Add(new ListItem { Text = "Telephonic", Value = "Telephonic" });



                                                        }
                                                        @Html.DropDownListFor(model => model.WalkInType, new SelectList(listItems))
                                                        @Html.ValidationMessageFor(model => model.WalkInType)
                                                    </td>
                                                    <td align="left">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    @Html.LabelFor(model => model.WalkInDate)
                                                                </td>
                                                                <td>
                                                                    <span class="color_style">*</span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td align="left">
                                                        @Html.TextBoxFor(model => model.WalkInDate,"{0: MM/dd/yyyy}")
                                                        @Html.ValidationMessageFor(model => model.WalkInDate)
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td align="left">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    @Html.LabelFor(model => model.Source)
                                                                </td>
                                                                <td>
                                                                    <span class="color_style">*</span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td align="left">
                                                        @{
    var listIt = new List<ListItem>();

    listIt.Add(new ListItem { Text = "Newspaper", Value = "Newspaper" });
    listIt.Add(new ListItem { Text = "Friends/Family", Value = "Friends" });
    listIt.Add(new ListItem { Text = "Justdail", Value = "Justdail" });
    listIt.Add(new ListItem { Text = "Facebook", Value = "Facebook" });
    listIt.Add(new ListItem { Text = "Any Other", Value = "Any Other" });


                                                        }
                                                        @Html.DropDownListFor(model => model.Source, new SelectList(listIt))
                                                        @Html.ValidationMessageFor(model => model.Source)
                                                    </td>
                                                    <td>
                                                        Other Source
                                                    </td>
                                                    <td>
                                                        @Html.EditorFor(model => model.Other)
                                                    </td>
                                                </tr>
                                                <tr>
                                                    @*<td>
                                                        @Html.LabelFor(model => model.ReferenceId, "Contact Reference")
                                                    </td>
                                                    <td>
                                                        @Html.DropDownList("ReferenceId", "Select")
                                                        @Html.ValidationMessageFor(model => model.ReferenceId)
                                                    </td>*@
                                                    @{
    string value = ViewBag.branch;
    if (value == "Y")
    {

        <td align="left">
            <table>
                <tr>
                    <td>
                        @Html.LabelFor(model => model.CounselorName, "User")
                    </td>
                    <td>
                        <span class="color_style">*</span>
                    </td>
                </tr>
            </table>
        </td>
                                                        <td align="left">
                                                            @Html.DropDownList("CounselorName", "Select")
                                                            @Html.ValidationMessageFor(model => model.CounselorName)

                                                            @Html.HiddenFor(model => model.BranchId)
                                                        </td>
    }

    else
    {
        int? id = Model.BranchId;
        @Html.HiddenFor(model => model.BranchId)

                                                        @Html.HiddenFor(model => model.CounselorName)

    }
                                                    }
                                                </tr>
                                                <tr>
                                                    <td align="left" style="vertical-align: top">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    @Html.LabelFor(model => model.Remarks)
                                                                </td>
                                                                <td></td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    @{
    string rmclass = "noclass";
    if (Model.Remarks != null)
    {
        rmclass = "redmsg";
    }
                                                    }
                                                    <td align="left" class="@rmclass">
                                                        @Html.EditorFor(model => model.Remarks)
                                                        @Html.ValidationMessageFor(model => model.Remarks)
                                                    </td>
                                                    <td align="left">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    Area
                                                                </td>
                                                                <td>
                                                                    <span class="color_style">*</span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td>
                                                        @Html.DropDownList("AreaId", (SelectList)ViewBag.val, "Select", new { @required = "true" })
                                                    </td>
                                                </tr>
                                            </table>
                                        </fieldset>
                                        <br />
                                    </td>
                                </tr>
                            </table>
                            <div id="divexam">
                                <table style="width: 700px" align="center">
                                    <tr>
                                        <td>
                                            <fieldset>
                                                <legend>IELTS Detail </legend>
                                                <table style="width: 100%">
                                                    <tr>
                                                        <td align="left">
                                                            @{
    var listItcountint = new List<ListItem>();
    listItcountint.Add(new ListItem { Text = "Select", Value = "Select" });
    listItcountint.Add(new ListItem { Text = "Australia", Value = "Australia" });
    listItcountint.Add(new ListItem { Text = "Canada", Value = "Canada" });
    listItcountint.Add(new ListItem { Text = "New Zealand", Value = "NewZealand" });
    listItcountint.Add(new ListItem { Text = "UK", Value = "UK" });
    listItcountint.Add(new ListItem { Text = "USA", Value = "USA" });
    listItcountint.Add(new ListItem { Text = "Singapore", Value = "Singapore" });


                                                            }
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        @Html.LabelFor(model => model.CountryInterested)
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td align="left">
                                                            @Html.DropDownListFor(model => model.CountryInterested, new SelectList(listItcountint))
                                                            @Html.ValidationMessageFor(model => model.CountryInterested)
                                                        </td>
                                                        <td>
                                                            @Html.LabelFor(model => model.CityPreference)
                                                        </td>
                                                        <td>
                                                            @Html.EditorFor(model => model.CityPreference)
                                                            @Html.ValidationMessageFor(model => model.CityPreference)
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td align="left">
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        @Html.LabelFor(model => model.DateOfExam)
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td align="left">
                                                            @Html.TextBoxFor(model => model.DateOfExam, "{0: MM/dd/yyyy}")
                                                            @Html.ValidationMessageFor(model => model.DateOfExam)
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td colspan="4">
                                                            <hr />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td colspan="4" align="left">
                                                            <table>
                                                                <tr>
                                                                    <td align="left">
                                                                        <table>
                                                                            <tr>
                                                                                <td>
                                                                                    @Html.LabelFor(model => model.IELTSExmLearn)
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                    </td>
                                                                    <td align="left">
                                                                        @Html.EditorFor(model => model.IELTSExmLearn)
                                                                        @Html.ValidationMessageFor(model => model.IELTSExmLearn)
                                                                    </td>
                                                                    <td align="left">
                                                                        <table>
                                                                            <tr>
                                                                                <td>
                                                                                    @Html.LabelFor(model => model.IELTSExmRead)
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                    </td>
                                                                    <td align="left">
                                                                        @Html.EditorFor(model => model.IELTSExmRead)
                                                                        @Html.ValidationMessageFor(model => model.IELTSExmRead)
                                                                    </td>
                                                                    <td align="left">
                                                                        <table>
                                                                            <tr>
                                                                                <td>
                                                                                    @Html.LabelFor(model => model.IELTSExmWrit)
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                    </td>
                                                                    <td align="left">
                                                                        @Html.EditorFor(model => model.IELTSExmWrit)
                                                                        @Html.ValidationMessageFor(model => model.IELTSExmWrit)
                                                                    </td>
                                                                    <td align="left">
                                                                        <table>
                                                                            <tr>
                                                                                <td>
                                                                                    @Html.LabelFor(model => model.IELTSExmSpkn)
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                    </td>
                                                                    <td align="left">
                                                                        @Html.EditorFor(model => model.IELTSExmSpkn)
                                                                        @Html.ValidationMessageFor(model => model.IELTSExmSpkn)
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td align="left">
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        @Html.LabelFor(model => model.IELTSExmOverall)
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td align="left">
                                                            @Html.EditorFor(model => model.IELTSExmOverall)
                                                            @Html.ValidationMessageFor(model => model.IELTSExmOverall)
                                                        </td>
                                                    </tr>
                                                </table>
                                            </fieldset>
                                            <br />
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <footer>
                <hr>

                <p class="pull-right">
                    <a href="#" target="_blank">

                        @Html.ActionLink("Back to List", "Index")

                    </a><a href="#" target="_blank"></a>
                </p>



            </footer>
            <div id="delete-dialog" title="Confirmation">
                <p>
                    Are You Sure you want to delete this
                </p>
            </div>
        </div>
    </div>








}
